define(["exports"], function (exports) {
  "use strict";

  var _extends = function (child, parent) {
    child.prototype = Object.create(parent.prototype, {
      constructor: {
        value: child,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    child.__proto__ = parent;
  };

  /* global View */

  var actionMenuViewTemplate = "<gaia-dialog>\n  <button type=\"button\" data-action=\"edit\">Edit</button>\n  <button type=\"button\" data-action=\"remove\">Remove</button>\n  <button type=\"button\" data-action=\"move\">Move</button>\n  <button type=\"button\" data-action=\"cancel\">Cancel</button>\n</gaia-dialog>";

  var ActionMenuView = (function (View) {
    var ActionMenuView = function ActionMenuView(options) {
      View.call(this, options);

      this.render();
    };

    _extends(ActionMenuView, View);

    ActionMenuView.prototype.init = function (controller) {
      var _this = this;
      View.prototype.init.call(this, controller);

      this.dialog = this.$("gaia-dialog");

      this.on("click", "button", function (evt) {
        var action = _this.controller[evt.target.dataset.action];
        if (typeof action === "function") {
          action.call(_this.controller);
        }

        _this.dialog.close();
      });
    };

    ActionMenuView.prototype.template = function () {
      return actionMenuViewTemplate;
    };

    return ActionMenuView;
  })(View);

  exports["default"] = ActionMenuView;
});